Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkParallelFactory Class Reference

`#include <vtkParallelFactory.h>`

Inheritance diagram for vtkParallelFactory:

[legend]
Collaboration diagram for vtkParallelFactory:

[legend]
List of all members.

## Detailed Description

Date:
  2002/01/22 15:34:52

Revision:
  1.8

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (57%)
  - Geveci, Berk (32%)
  - Schroeder, Will (8%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkParallelFactory.h)`
  - .`cxx` (`/Parallel/vtkParallelFactory.cxx)`

Tests:
  vtkParallelFactory (Tests)

Definition at line 43 of file vtkParallelFactory.h.

## Public Types
typedef vtkObjectFactory | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetVTKSourceVersion ()
virtual const char * | GetDescription ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkParallelFactory * | SafeDownCast (vtkObject *o)
vtkParallelFactory * | New ()
## Protected Methods
| vtkParallelFactory ()
| ~vtkParallelFactory ()

## Member Typedef Documentation

typedef vtkObjectFactory vtkParallelFactory::Superclass

| Reimplemented from vtkObjectFactory. Definition at line 47 of file vtkParallelFactory.h.

## Constructor & Destructor Documentation

vtkParallelFactory::vtkParallelFactory | ( |  | ) | `[protected]`

vtkParallelFactory::~vtkParallelFactory | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkParallelFactory.h.

## Member Function Documentation

virtual const char* vtkParallelFactory::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObjectFactory.

int vtkParallelFactory::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObjectFactory.

virtual int vtkParallelFactory::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObjectFactory.

vtkParallelFactory* vtkParallelFactory::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObjectFactory.

vtkParallelFactory* vtkParallelFactory::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkParallelFactory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print ObjectFactory to stream. Reimplemented from vtkObjectFactory.

virtual const char* vtkParallelFactory::GetVTKSourceVersion | ( |  | ) | `[virtual]`

| All sub-classes of vtkObjectFactory should must return the version of VTK they were built with. This should be implemented with the macro VTK_SOURCE_VERSION and NOT a call to vtkVersion::GetVTKSourceVersion. As the version needs to be compiled into the file as a string constant. This is critical to determine possible incompatible dynamic factory loads. Implements vtkObjectFactory.

virtual const char* vtkParallelFactory::GetDescription | ( |  | ) | `[virtual]`

| Return a descriptive string describing the factory. Implements vtkObjectFactory.

The documentation for this class was generated from the following file:

- Parallel/vtkParallelFactory.h